<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>es003</title>
    <script src="https://unpkg.com/vue@3/dist/vue.global.js"></script>
    <link rel="stylesheet" href="style.css">
</head>

<body>
    <div class="ml-6 mt-6" id="root">
        <h1 class="title">es003 event</h1>
        <div class="my-box m-1 has-text-centered has-text-black has-background-warning-light" @mouseover="mouseOver" @mouseleave="mouseLeave"> enter and exit </div>
        <div class="my-box m-1 has-text-centered has-text-black has-background-warning-light" @click="click($event, 666)"> ({{clickX}}, {{clickY}}) : {{data}}</div>
        <div class="my-box m-1 has-text-centered has-text-black has-background-warning-light" @dblclick="doubleClick"> double click </div>
        <div class="my-box m-1 has-text-centered has-text-black has-background-warning-light" @mousemove="move"> ({{moveX}}, {{moveY}}) </div>
        <div class="my-msg m-1 p-1 has-text-primary has-background-primary-dark">event: {{ msg }}</div>
        <div class="my-msg m-1 p-1 has-text-primary has-background-primary-light" @click="click3">
            <h2 class="subtitle has-text-black">Propagazione di eventi ...</h2>
            <div @click="click2">
                <div @click.stop="click1">
                    {{ propagation }}
                </div>
            </div>
        </div>
        <div class="my-msg m-1 p-1 has-text-primary has-background-primary-light">
            <h2 class="subtitle has-text-black">Eventi da tastiera</h2>
            <input class="input is-primary" @keyup.page-down="onPageDown" v-model="text" />
        </div>
    </div>
    <script src="app.js"></script>
</body>

</html>